[owncloud-devel] ownCloud 7 will ship SabreDAV 1.8.10

Evert Pot me at evertpot.com
Wed May 28 20:10:12 GMT 2014


> Hi,
> 
> I'd like to inform you that we are right in the middle to update SabreDAV to 1.8.10 for the upcoming ownCloud 7 release.
> This move is mainly driven by the fact that the currently used SabreDAV 1.7.x is no longer maintained.
> The most important changes are documented in the SabreDAV documentation: http://sabre.io/dav/upgrade/1.7-to-1.8/
> 
> The current progress regarding the update is tracked in https://github.com/owncloud/core/pull/8724
> 
> Feel free in joining us to test that change and please update your code in case you are using SabreDAV in any of your apps.
> 
> Thanks a lot and take care,
> 
> Tom
> 
> PS: Let me thank Evert and the team behind SabreDAV for building this wonderful library - thanks a lot!

Hey guys,

If OC7 ships with 1.8, this unfortunately will also means that the next
Debian version (Jesse) will as well. Jesse freezes in November.

This debian version will be around for a very long time. Debian promises
support for up to 5 years.

For the sabre/dav project this means that whatever sabredav version
ships with debian, we'll have to also support for that length of time.

It would be brilliant if I could convince you guys to upgrade owncloud
to sabre/dav 2.0 for the OC 7 release.

The changes may seem daunting:
http://sabre.io/dav/upgrade/1.8-to-2.0/

But in reality I feel that the changes for owncloud specifically may be
a lot smaller. I'd offer my help with this.

The biggest different is of course that PHP 5.4 is now the minimum
version. PHP 5.4 was released more than 2 years ago, and PHP 5.3 is
actually now an unsupported version.

Is the decision to support PHP 5.3 and use sabre/dav 1.8 set in stone?

Cheers and likewise thanks for the support :)
Evert


More information about the Devel mailing list